<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.abnormal.FhzgOperationAbnormalityVoltageViolationMapper">

    <resultMap id="BaseResultMap"
               type="com.hdkj.lt.core.bizms.modle.po.operationAbnormality.FhzgOperationAbnormalityVoltageViolation">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="oaId" column="oa_id" jdbcType="BIGINT"/>
        <result property="psrId" column="psr_id" jdbcType="VARCHAR"/>
        <result property="psrName" column="psr_name" jdbcType="VARCHAR"/>
        <result property="psrType" column="psr_type" jdbcType="VARCHAR"/>
        <result property="custType" column="cust_type" jdbcType="VARCHAR"/>
        <result property="beforeVoltage" column="before_voltage" jdbcType="DECIMAL"/>
        <result property="afterVoltage" column="after_voltage" jdbcType="DECIMAL"/>
        <result property="beforeVoltage_lv" column="before_voltage_lv" jdbcType="DECIMAL"/>
        <result property="afterVoltage_lv" column="after_voltage_lv" jdbcType="DECIMAL"/>
        <result property="creator" column="creator" jdbcType="BIGINT"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
        <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,oa_id,psr_id,
        psr_name,psr_type,cust_type,
        before_voltage,after_voltage,before_voltage_lv,
        after_voltage_lv,creator,create_time,
        last_editor,last_time
    </sql>
</mapper>
